#! /bin/sh

script=`echo $0 | sed 's/^.*\///'`
echo "$script"
if [ -e ./$script ]; then
    workdir=/tmp/$USER\_`pwd | sed 's/^.*\///'`
    rm -Rf $workdir/*
    mkdir -p $workdir
    rsync -Ca ./DEBIAN $workdir/

    rsync -Cav ./usr $workdir/

    VER=`grep Version DEBIAN/control | cut -d: -f2`
    echo "Version $VER"

    chmod -R g-s $workdir
    fakeroot dpkg-deb -b $workdir ./

    echo "Installed-Size:"
    du -h -k --max-depth=0 $workdir

else
    echo Das Script $script muss im aktuellen Verzeichnis liegen!
    echo Bitte dorthin wechseln und nochmal probieren.
fi

